/* A sample test program of the FlagShip/JLT API
 *
 * To COMPILE: FlagShip fstest.prg fs_sql.o sql_error.o -o\ fstest -lsql
 */

FS_SET("setenvir", "JLT_RETRIEVE_DIR", "/home/griffin/jlt/")

LOCAL nRetVal := open_jlt("abc")
sql_error( nRetVal, "fstest", "open_jlt")

// do NOT lock the records retrieved below
nRetVal := sql_unlock()
sql_error( nRetVal, "fstest", "sql_unlock")

// abc tables are : customer, part, shipment, shipment_item
cRelname := "part"
cWclause := NIL

LOCAL cTfilename, nFieldCount, nRowCount
nRowCount := sql_ret(cRelname, cWclause , @cTfilename, @nFieldCount)
sql_error( nRowCount, "fstest", "sql_ret")

LOCAL text, handle
LOCAL_INT nC1

// read the temporary file
handle := FOPEN( cTfilename, FO_READ )
FOR nC1 := 1 TO nRowCount
  text := FREADTXT( handle )
  ?? STR(nC1) +  ": " + text + CHR(10)
NEXT
FCLOSE( handle )             /* close the temporary file */
FERASE( cTfilename )         /* delete the temporary file */ 
WAIT

?
?? "nFieldCount is " + ALLTRIM(STR(nFieldCount)) + CHR(10)

?? "nRowCount is " + ALLTRIM(STR(nRowCount)) + CHR(10)

WAIT

nRetVal := close_jlt()
sql_error( nRetVal, "fstest", "close_jlt")


